#include <amxmodx>
#include <amxmisc>

#define LogClass. __logClass__
#define Private.LogClass. __prilogClass__

enum LogClass.logType {
	LOG_CONSOLE_SERVER
}

stock LogClass.logInfo( logTo , const szFormat[] , any:... ){
	new szLogMessage[ 256 ];
	
	vformat( szLogMessage , charsmax( szLogMessage ) , szFormat , 3 );
	
	switch( logTo ){
		case LOG_CONSOLE_SERVER:{
			Private.LogClass.logInfConsole( szLogMessage );
		}
	}
}

stock Private.LogClass.logInfConsole( const szMessage[] ){
	
	new szLogMessage[ 256 ];
	
	copy( szLogMessage , charsmax( szLogMessage ) , szMessage );
	
	Private.LogClass.addPrefixConsole( szLogMessage , charsmax( szLogMessage ) );
	
	log_amx( szLogMessage );
}

stock Private.LogClass.addPrefixConsole( szMessage[] , maxSize ){
	copy( szMessage , maxSize , pluginPrefixLogConsole );
}